# Kandidatenstatus abrufen

`GET https://{tenant}.stamp.eu/rest/rosters/{roster}/candidate_status`

Batch assignment status
(V/TV/NV/R/none) for all active employees of the roster unit,
aggregated from existing signals only (no persistence)

## Pfadparameter

| Name | Typ | Pflicht | Beschreibung |
| --- | --- | --- | --- |
| `roster` | string | ja | The roster ID |

## Query-Parameter

| Name | Typ | Pflicht |
| --- | --- | --- |
| `date` | string | ja |
| `shift_id` | string \| null | nein |
| `start_time` | string \| null | nein |
| `end_time` | string \| null | nein |

## Antworten

### 200: Array of `AssignmentCandidateResource`

| Feld | Typ | Pflicht |
| --- | --- | --- |
| `data` | object[] | ja |
| `data[].employee_id` | string | ja |
| `data[].status` | string | ja |
| `data[].signals` | string | ja |

### 401: Unauthenticated

| Feld | Typ | Pflicht | Beschreibung |
| --- | --- | --- | --- |
| `message` | string | ja | Error overview. |

### 404: Not found

| Feld | Typ | Pflicht | Beschreibung |
| --- | --- | --- | --- |
| `message` | string | ja | Error overview. |

### 422: Validation error

| Feld | Typ | Pflicht | Beschreibung |
| --- | --- | --- | --- |
| `message` | string | ja | Errors overview. |
| `errors` | object | ja | A detailed description of each field that failed validation. |
